Create a new share recipient
resource_sharing.recipients.create(strshare_id, RecipientCreateParams**kwargs) -> RecipientCreateResponse
POST/accounts/{account_id}/shares/{share_id}/recipients
Adds a single recipient to an account-targeted resource share, granting them access to the shared resources. The recipient account must belong to the same organization as the share owner.
To replace the entire recipient list in one call, use
PUT /accounts/{account_id}/shares/{share_id}/recipients instead.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Parameters
Create a new share recipient
import os
from cloudflare import Cloudflare
client = Cloudflare(
api_email=os.environ.get("CLOUDFLARE_EMAIL"), # This is the default and can be omitted
api_key=os.environ.get("CLOUDFLARE_API_KEY"), # This is the default and can be omitted
)
recipient = client.resource_sharing.recipients.create(
share_id="3fd85f74b32742f1bff64a85009dda07",
path_account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(recipient.id){
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "3fd85f74b32742f1bff64a85009dda07",
"account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"association_status": "associating",
"created": "2023-09-21T18:56:32.624632Z",
"modified": "2023-09-21T18:56:32.624632Z",
"resources": [
{
"error": "Recipient is missing necessary entitlement",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_version": 0,
"terminal": true
}
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "3fd85f74b32742f1bff64a85009dda07",
"account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"association_status": "associating",
"created": "2023-09-21T18:56:32.624632Z",
"modified": "2023-09-21T18:56:32.624632Z",
"resources": [
{
"error": "Recipient is missing necessary entitlement",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_version": 0,
"terminal": true
}
]
}
}